Search
K
Product-Service

Search for products by criteria

When searching for products, each separate field combines in a logical AND grouping

post
https://uat.api.zinnia.io/product/v2/products/search

Query Parameters

orderBystring

Field to order by

Example:productName

orderByDirectionstring

Order direction

Allowed values:ASCDESC

Example:DESC

limitnumber

Number of results to return (max 1000)

>= 10

Example:10

offsetnumber

Index to start page search at

>= 0

Example:0

Body

application/json

ProductSearchRequestDto

distributorCodesarray[string]

Distributor codes to include (logical OR)

Example:["EVGL"]

distributorNamesarray[string]

Distributor names to match (logical OR, case-insensitive)

distributorEffectiveOnstring

Date on which distributor must be effective

Example:2025-01-15

carrierCodesarray[string]

Carrier codes to include (logical OR)

Example:["EVGL","SBGC"]

carrierNamesarray[string]

Carrier names to match (logical OR, case-insensitive)

cusipsarray[string]

CUSIPs to match exactly (logical OR)

planCodesarray[string]

Plan codes to include (logical OR)

Example:["TL0101"]

productNamesarray[string]

Product names to match (logical OR)

marketingNamesarray[string]

Marketing names to match (logical OR)

legalNamesarray[string]

Legal names to match (logical OR)

typesarray[string]

Product types to include (logical OR)

Allowed values:TERMUNIVERSAL_LIFE

Example:["TERM"]

linestring

Product line to filter by

Allowed values:LIFEANNUITY

versionEffectiveOnstring

Returns products whose version is effective on this date

Example:2025-01-15

statesarray[string]

Two-letter state abbreviations to filter by (logical OR)

Example:["NY","FL"]

stateEffectiveOnstring

Date on which state availability must be effective

Example:2025-01-15

stateAvailableToSellboolean

State-level availability filter

availableToSellboolean

Product-level availability filter

Response

application/json

Paginated search results

PaginatedProductsResponse

countnumberrequired

Total number of records matching the search

Example:121

nextstring | nullrequired

URL to the next page, if any

Example:/product/v2/products/search?offset=10&limit=10

previousstring | nullrequired

URL to the previous page, if any

Example:[ "" ]

resultsarray[object]required

Array of products matching the search criteria

Show Child Parameters
post/product/v2/products/search

Body

{}
 
application/json

ProductDataModel

object
productIdstring

Zinnia generated unique ID generated to uniquely identify the product in our product master database

Example:UUID

carrierProductIdstring

Carrier generated unique ID, which may be used to communicate across integrations.

Example:CAR-PROD-123

productMarketingNamestring

Carrier generated marketing name for the product

Allowed values:Everglades Term LifeEverglades Return of Premium TermEverglades Index Universal Life

Example:Everglades Term Life

carrierstring

Unique carrier key used in enterprise APIs

Example:EVGL

productLinestring

Product line category

Allowed values:LIFEANNUITY

Example:LIFE

productTypestring

Product type category

Allowed values:INDEX_UNIVERSAL_LIFEUNIVERSAL_LIFETERM

Example:TERM

planCodestring

Plan code for the product (multiple can exist for a single product)

Example:TL0101

termLengtharray[number]

Term length in years

Allowed values:1510152025303540

Example:10, 20, 30

availableToSellboolean

Indicates if the product is available to sell

Example:true

Example

ProductModelDB

object
productIdstring

Zinnia generated unique ID generated to uniquely identify the product in our product master database

Example:UUID

carrierProductIdstring

Carrier generated unique ID, which may be used to communicate across integrations.

Example:CAR-PROD-123

productMarketingNamestring

Carrier generated marketing name for the product

Allowed values:Everglades Term LifeEverglades Return of Premium TermEverglades Index Universal Life

Example:Everglades Term Life

carrierstring

Unique carrier key used in enterprise APIs

Example:EVGL

productLinestring

Product line category

Allowed values:LIFEANNUITY

Example:LIFE

productTypestring

Product type category

Allowed values:INDEX_UNIVERSAL_LIFEUNIVERSAL_LIFETERM

Example:TERM

planCodestring

Plan code for the product (multiple can exist for a single product)

Example:TL0101

termLengtharray[number]

Term length in years

Allowed values:1510152025303540

Example:10, 20, 30

availableToSellboolean

Indicates if the product is available to sell

Example:true

idstring

Database generated unique ID

Example

Distributor

object
distributorCodestringrequired

Unique distributor code

Example:EVGL

distributorNamestringrequired

Distributor name

Example:Everglades Distribution

startDatestringrequired

Start date of distributor authorization

Example:2025-01-01

endDatestringrequired

End date of distributor authorization

Example:2099-01-01

Example

StateAvailability

object
availableToSellboolean

Indicates whether the product is available to sell in this state

Example:true

startDatestring

Start date of state availability (inclusive)

Example:2025-01-01

endDatestring

End date of state availability

Example:2099-01-01

abbreviationstring

Two-letter state abbreviation

>= 2 characters<= 2 characters

Example:NY

namestring

Full state name

Example:New York

Example